<?php /* -*- PHP -*- */

define ("LOGFILE", "");
define ("LOGLEVEL", 3);

require ("library.php.inc");

passthru ("mkdir tmp/hg");

/* unitary tests */

$data = do_unit_test ("");

logging (_LOG_ERROR_, "This is an error message");
logging (_LOG_WARN_, "This is a warning message");
logging (_LOG_DEBUG_, "This is a debug message");

/* unitary checks */
$logfile = "logging-stderr.err";

echo "logfile:\n";
if ($fd = fopen ($logfile, "r")) {
    echo fread ($fd, $len = filesize ($logfile));
    fclose ($fd);
}

if (!file_exists ($logfile)) exit (1);
$log = file_get_contents($logfile);
if (preg_match ("/This is an error message/", $log) != 1) exit (1);
if (preg_match ("/This is a warning message/", $log) != 1) exit (1);
if (preg_match ("/This is a debug message/", $log) != 1) exit (1);

exit (0);
?>
