<?php /* -*- PHP -*- */

require ("library.php.inc");

init_hgrepos ();

/* unitary tests */

$data = do_unit_test ("");

$hgrepos = build_hg_tree (HGREPOS);

/* unitary checks */

echo "check a\n";
$repos = search_repos ($hgrepos, "_a");
if ($repos == null) exit (1);
if (strcmp ($repos["name"], "a") != 0) exit (1);

echo "check b/a\n";
if (search_repos ($hgrepos, "_b_a") != null) exit (1);

echo "check c/a\n";
$repos = search_repos ($hgrepos, "_c_a");
if ($repos == null) exit (1);
if (strcmp ($repos["name"], "c/a") != 0) exit (1);

echo "check errors\n";
if (search_repos ($hgrepos, "a") != null) exit (1);
if (search_repos ($hgrepos, "c/a") != null) exit (1);
if (search_repos ($hgrepos, " a ") != null) exit (1);

exit (0);
?>
